This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300842 - missing packages prevented the daemon from starting
missing packages prevented the daemon from starting
Status: CLOSED CURRENTRELEASE
Product: nfs-ganesha
Classification: Community
Component: Support (Show other bugs)
2.3
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kaleb KEITHLEY
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 17:04 EST by Ben Werthmann
Modified: 2016-01-21 21:22 EST (History)
1 user (show)

See Also:
Fixed In Version: nfs-ganesha - 2.3.0-ubuntu1~trusty3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 18:56:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Werthmann 2016-01-21 17:04:50 EST
Description of problem:
Running ubuntu 14.04. Installed Gluster3.7, libntirpc, and nfs-ganesha from the PPA located here:
https://launchpad.net/~gluster/+archive/ubuntu/nfs-ganesha
https://launchpad.net/~gluster/+archive/ubuntu/libntirpc

Additional info:
patch:
From 7680e806435a144d632908f4e650c84a56724720 Mon Sep 17 00:00:00 2001
From: Ben Werthmann <ben@apcera.com>
Date: Thu, 21 Jan 2016 14:09:41 -0500
Subject: [PATCH 1/2] Missing packages prevented daemon from starting

These packages were missing:
* libwbclient0
* libntirpc1
* libtirpc1 (provides /etc/netconfig)
* deamon - init scripts use daemon package.
---
 debian/control | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index a096a63..c17ee95 100644
--- a/debian/control
+++ b/debian/control
@@ -33,7 +33,11 @@ Package: nfs-ganesha
 Architecture: any
 Depends: dbus, nfs-common, rpcbind,
          ${perl:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libwbclient0,
+         libntirpc1,
+         libtirpc1,
+         daemon
 Description: nfs-ganesha is a NFS server in User Space
  NFS-GANESHA is a NFS Server running in user space with a large cache.
  It comes with various backend modules to support different file systems
--
Comment 1 Kaleb KEITHLEY 2016-01-21 18:07:44 EST
New packages are on Launchpad for trusty and wily.

Please change the Status to Verified or Closed if the new packages resolve your issues.

Thanks
Comment 2 Ben Werthmann 2016-01-21 18:56:38 EST
This issue appears to be resolved. Thanks!

(I can't mark as 'verified'. I'll close as 'worksforme' instead.)

Note You need to log in before you can comment on or make changes to this bug.